#include <iostream>
#include "enor.h"

using namespace std;

bool van_arukod22(const vector<string> &arukodok) {
    bool l = false;
    for (int i = 0; !l && i < arukodok.size(); ++i) {
        l = arukodok[i] == "rukd22";
    }
    return l;
}

bool keres(const vector<string> &arukodok, const string &kod, int index) {
    bool l = false;
    for (int i = 0; !l && i < index; ++i) {
        l = arukodok[i] == kod;
    }
    return l;
}

int hany_fele(const vector<string> &arukodok) {
    int c = 0;
    for (int i = 0; i < arukodok.size(); ++i) {
        if (!keres(arukodok, arukodok[i], i)) {
            c++;
        }
    }
    return c;
}

int main()
{
    Enor t("input.txt");
    cout << "Azok a vasarlasok, amikor nem vettek arukod22-es arut:" << endl;
    t.first();
    int minimum = hany_fele(t.current().arukodok);
    Vasarlas elem = t.current();
    if (!van_arukod22(t.current().arukodok)) {
        cout << t.current().idopont << " " <<
        t.current().kod << endl;
    }
    t.next();
    for ( ; !t.end(); t.next()) {
        if (!van_arukod22(t.current().arukodok)) {
            cout << t.current().idopont << " " <<
            t.current().kod << endl;
        }
        int seged = hany_fele(t.current().arukodok);
        if (minimum > seged) {
            minimum = seged;
            elem = t.current();
        }
    }
    cout << endl;
    cout << "A legkevesebb fele aru vasarlasa:" << endl;
    cout << elem.idopont << " " << elem.kod << " " << minimum << " fele arut vasarolt." << endl;
    return 0;
}

