#ifndef ENOR_H_INCLUDED
#define ENOR_H_INCLUDED

#include <vector>
#include <fstream>
#include <sstream>
#include <iostream>

struct Vasarlas {
    std::string idopont;
    std::string kod;
    std::vector<std::string> arukodok;
};

enum Statusz {norm, abnorm};

class Enor {
private:
    std::ifstream f;
    Statusz st;
    Vasarlas e;
    void read();
public:
    Enor(const std::string &fnev);
    void first() { read(); }
    void next() { read(); }
    Vasarlas current() { return e; }
    bool end() { return st == abnorm;}
};

#endif // ENOR_H_INCLUDED
